Name:           colorscheme
Version:        0.3
Release:        4%{?dist}
Summary:        Generate a variety of colorschemes from a single starting color

Group:          Applications/Multimedia
License:        GPL
URL:            http://home.gna.org/colorscheme/
Source0:        http://download.gna.org/colorscheme/0.3/colorscheme-0.3.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel >= 2.5, libgnomeui-devel >= 2.0, desktop-file-utils
BuildRequires:  cppunit-devel, gnome-vfsmm26-devel, boost-devel
BuildRequires:  gettext


%description
Have you ever been re-finishing a room in your home and found yourself asking 
"What color would go well with this" ? Or been working on a website and not
able to find the perfect colorscheme to go with the company logo ?
Try GNOME Colorscheme. GNOME Colorscheme is a very simple application for the
GNOME desktop that allows you to generate a variety of colorschemes from a
single starting color.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --delete-original \
        --add-category X-Fedora \
        --remove-category GNOME \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%check
make check || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS ChangeLog TODO
%{_bindir}/colorscheme
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*


%changelog
* Thu Aug  3 2006 Denis Leroy <denis@poolshark.org> - 0.3-4
- Was missing gettext BR

* Thu Aug  3 2006 Denis Leroy <denis@poolshark.org> - 0.3-3
- Rebuild with gtkmm 2.6.14

* Tue Jun 27 2006 Aurelien Bompard <gauret[AT]free.fr> 0.3-2
- rebuild

* Wed Nov 23 2005 Aurelien Bompard <gauret[AT]free.fr> 0.3-1
- version 0.3

* Fri Nov 04 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2.2-1
- version 0.2.2.2

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2.1-1
- version 0.2.2.1

* Sat Sep 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.2-1
- version 0.2.2
- drop patch (applied upstream)

* Wed Sep 21 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.1-2
- add patch for missing include

* Sun Sep 18 2005 Aurelien Bompard <gauret[AT]free.fr> 0.2.1-1
- initial Fedora package (reviewed in bug 168635)
